This is the mail archive of the glibc-bugs@sourceware.org mailing list for the glibc project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

[Bug libc/3840] New: glibc 2.5: scripts/check-local-headers.sh: argument list too long


There is a little error in the check-local-headers.sh script if too much 
dependency files (*/*.d) are found. fgrep emits an error: argument list too 
long.

Here is a fix for it (runs slower but without fgrep errors):

diff -urpN glibc-2.5/scripts/check-local-headers.sh glibc-2.5-x/scripts/check-
local-headers.sh
--- glibc-2.5/scripts/check-local-headers.sh	2007-01-06 15:53:52.000000000 
+0100
+++ glibc-2.5-x/scripts/check-local-headers.sh	2007-01-06 15:55:06.000000000 
+0100
@@ -26,13 +26,15 @@ cd "$objpfx"
 
 # Search all dependency files for file names in the include directory.
 # There are a few system headers we are known to use.
-if fgrep "$includedir" */*.d |
-fgrep -v "$includedir/asm" |
-fgrep -v "$includedir/linux" |
-fgrep -v "$includedir/selinux" |
-fgrep -v "$includedir/gd"; then
-  # If we found a match something is wrong.
-  exit 1
-fi
+for i in */*.d ; do
+  if fgrep "$includedir" "$i" |
+  fgrep -v "$includedir/asm" |
+  fgrep -v "$includedir/linux" |
+  fgrep -v "$includedir/selinux" |
+  fgrep -v "$includedir/gd"; then
+    # If we found a match something is wrong.
+    exit 1
+  fi
+done
 
 exit 0

-- 
           Summary: glibc 2.5: scripts/check-local-headers.sh: argument list
                    too long
           Product: glibc
           Version: unspecified
            Status: NEW
          Severity: normal
          Priority: P2
         Component: libc
        AssignedTo: drepper at redhat dot com
        ReportedBy: balagi at justmail dot de
                CC: glibc-bugs at sources dot redhat dot com
  GCC host triplet: i686-pc-linux-gcc


http://sourceware.org/bugzilla/show_bug.cgi?id=3840

------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]